<?php
/**
 * @version 1.5 stable $Id: category_subcategories.php 001 2010-04-17 13:44:02Z rene.bz $
 * Based on the original by Emmanuel Danan
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2010 Rene Bz - www.nettdotkomm.de
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
?>

<?php
$n 					= count($this->categories);
$i					= 0;
$j 					= 0;
$subcat_style_AtY_blog_category	= $this->params->get('subcat_style_AtY_blog_category', 'horiz');
$subcat_cols_AtY_blog_category	= $this->params->get('subcat_cols_AtY_blog_category', 'one');
if ( $subcat_style_AtY_blog_category == 'horiz' ) 
{
	$subcat_cols_AtY_blog_category = 'one';
}
// Use this image in the list of the subcategories, if no image for the category is set in the controls
$subcat_default_img_AtY_blog_category 		= "/images/subcat_default_img.png";
?>
<div class="subcategorieslist <?php echo $subcat_style_AtY_blog_category ?>">
<?php if ( $subcat_style_AtY_blog_category == 'horiz' ) : ?>
	<div id="subcats_label">
    	<div class="subcats_label_r">
        	<div class="subcats_label_m">
			<h3 class="subcats_label_m_h subcats cat<?php echo $this->category->id; ?>"><?php echo JText::_( 'FLEXI_SUBCATEGORIES' ) . ' : '; ?></h3>
            </div>
        </div>
    </div>
    <ul>
	<?php
	foreach ($this->categories as $sub) :
		$subsubcount = count($sub->subcats);	
	?>
		<li><a href="<?php echo JRoute::_( FlexicontentHelperRoute::getCategoryRoute($sub->slug) ); ?>"><?php echo $this->escape($sub->title); ?></a>
		<?php
		if ($this->params->get('show_itemcount', 1)) echo ' (' . ($sub->assigneditems != null ? $sub->assigneditems.'/'.$subsubcount : '0/'.$subsubcount) . ')';
		$i++;
		if ($i != $n) :
			echo ', ';
		endif;
		echo '</li>';
	endforeach; ?>
    </ul>
    <div style="clear:both;"></div>
<?php endif; ?>
<?php if ( $subcat_style_AtY_blog_category == 'list' || $subcat_style_AtY_blog_category == 'vert' ) : ?>
<div id="flexicontent" class="flexicontent">
	<div id="subcats_label">
    	<div class="subcats_label_r">
        	<div class="subcats_label_m">
			<h3 class="subcats_label_m_h subcats cat<?php echo $this->category->id; ?>"><?php echo JText::_( 'FLEXI_SUBCATEGORIES' ) . ' : '; ?></h3>
            </div>
        </div>
    </div>
   	<ul class="introblock <?php echo $subcat_cols_AtY_blog_category ?>">
  	<?php foreach ($this->categories as $sub) :
    $subsubcount = count($sub->subcats); ?>
      	<?php 
	  	if ( $j == 0 ) : 
     	 	$div_class = "odd";
      	else :
	  		$div_class = "even";
      	endif; 
	 	?>
        <?php if ( $subcat_cols_AtY_blog_category == 'two' ) : ?>
			<?php if ( $i == 0 || $i == $n/2 || $i == (($n+1)/2) ) : ?>
				<li class="li_content <?php echo $div_class ?>">
     		<?php endif; ?>
        <?php endif; ?>
        <?php if ( $subcat_cols_AtY_blog_category == 'one' ) : ?>
        	<?php if ( $i == 0 ) : ?>
				<li class="<?php echo $div_class ?>">
     		<?php endif; ?>
        <?php endif; ?>
			<?php if ( $subcat_style_AtY_blog_category == 'vert' ) : ?>
                <div id="subcat_info">
                    <div id="subcat_img" class="catimg cat<?php echo $this->escape($sub->id); ?>">
                        <span>
                        <?php if (!empty($sub->image)) : ?>
                        <a href="<?php echo JRoute::_( FlexicontentHelperRoute::getCategoryRoute($sub->slug) ); ?>"><?php echo JHTML::_('image.site', $sub->image, 'images/stories/', NULL, NULL, $sub->title, 'class="img_subcat"'); ?></a>
                        <?php else : ?>
                        <a href="<?php echo JRoute::_( FlexicontentHelperRoute::getCategoryRoute($sub->slug) ); ?>"><img class="img_subcat" alt="<?php echo $sub->title; ?>" src="components/com_flexicontent/templates/<?php echo $this->params->get('clayout', 'default'); ?><?php echo $subcat_default_img_AtY_blog_category; ?>"></a>
                        <?php /*?><a href="<?php echo JRoute::_( FlexicontentHelperRoute::getCategoryRoute($sub->slug) ); ?>"><?php echo JHTML::_('image.site', 'articles.jpg', 'images/stories/', NULL, NULL, $sub->title, 'class="fccatimg"'); ?></a><?php */?> <!--use joomla image -->
                        
                        <?php endif; ?>
                        </span>
                    </div>
                    <div id="subcat_desc"  class="catdesc cat<?php echo $this->escape($sub->id); ?>">
                        <span>
                        <a href="<?php echo JRoute::_( FlexicontentHelperRoute::getCategoryRoute($sub->slug) ); ?>"><?php echo $this->escape($sub->title); ?></a><br/>
                        <?php if ($this->params->get('show_itemcount', 1)) echo '<span class="catinf"> ( ' . ($sub->assigneditems != null ? $sub->assigneditems.' '. JText::_( 'FLEXI_ITEMS' ) .' / '.$subsubcount : '0 '. JText::_( 'FLEXI_ITEMS' ). ' / '.$subsubcount). ' ' . JText::_( 'FLEXI_SUBCATEGORIES' ) . ' )</span>'; ?>
                        </span>
                    </div>
                </div>
            <?php endif; ?>
			<?php if ( $subcat_style_AtY_blog_category == 'list' ) : ?>
                <a href="<?php echo JRoute::_( FlexicontentHelperRoute::getCategoryRoute($sub->slug) ); ?>"><?php echo $this->escape($sub->title); ?></a>
                <?php
                    if ($this->params->get('show_itemcount', 1)) echo '<span class="catinf"> (' . ($sub->assigneditems != null ? $sub->assigneditems.'/'.$subsubcount : '0/'.$subsubcount) . ')</span>';
                ?>
            <?php endif; ?>
        <div style="clear:both;"></div> 
        <?php if ( $subcat_cols_AtY_blog_category == 'two' ) : ?>
      			<?php $i++;
				if (  ($i == $n || $i == $n/2 || $i == (($n-1)/2)+1) ) : ?>
         		</li>
        		<?php $j = 1  ?>
      		<?php endif; ?>
        <?php endif; ?>
        <?php if ( $subcat_cols_AtY_blog_category == 'one' ) : ?>
      		<?php $i++;
				if ( $i == $n ) : ?>
         		</li>
        		<?php $j = 1  ?>
      		<?php endif; ?>
      <?php endif; ?>
   <?php endforeach; ?>
   </ul>
   <div style="clear:both;"></div>
</div>
<?php endif; ?>
</div>